<?
	// Dcms-Fiera
	// http://dcms-help.ru
	// ShaMan

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Моя анкета';
include_once '../sys/inc/thead.php';
title();


if (isset($_POST['save'])){
#########
if (isset($_POST['orient']) && ($_POST['orient']==0 || $_POST['orient']==1 || $_POST['orient']==2 || $_POST['orient']==3))
{
$user['orient']=intval($_POST['orient']);
mysql_query("UPDATE `user` SET `orient` = '$user[orient]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='Ошибка в поле "Ориентация"';
#########
if (isset($_POST['brak']) && ($_POST['brak']==0 || $_POST['brak']==1 || $_POST['brak']==2 || $_POST['brak']==3))
{
$user['brak']=intval($_POST['brak']);
mysql_query("UPDATE `user` SET `brak` = '$user[brak]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='Ошибка в поле "Брак"';
#########
if (isset($_POST['portner']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['portner']))))<=512)
{
$user['portner']=esc(stripcslashes(htmlspecialchars($_POST['portner'])));
mysql_query("UPDATE `user` SET `portner` = '".mysql_real_escape_string($user['portner'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат написания портнёра. Максимум 512 символа';
#################
if (isset($_POST['celzn']) && ($_POST['celzn']==0 || $_POST['celzn']==1 || $_POST['celzn']==2 || $_POST['celzn']==3 || $_POST['celzn']==4 || $_POST['celzn']==5 || $_POST['celzn']==6 || $_POST['celzn']==7|| $_POST['celzn']==8))
{
$user['celzn']=intval($_POST['celzn']);
mysql_query("UPDATE `user` SET `celzn` = '$user[celzn]' WHERE `id` = '$user[id]' LIMIT 1");
}else $err[]='Ошибка в поле "Цель знакомства"';
#################
if (!isset($err))msg('Изменения успешно приняты');

}
err();
aut();
//(ENK) by wap-mast.ru Все права защищены!
//Барыжничество запрещино, все вопросы на форум wap-mast.ru
echo "<form method='post' action='?$passgen'>";
##################################	
echo "Ориентация:<br />\n<select name='orient'>\n";
echo "<option value='0'".($user['orient']==0?" selected='selected'":null).">Не скажу!</option>\n";
echo "<option value='1'".($user['orient']==1?" selected='selected'":null).">Гетеро</option>\n";
echo "<option value='2'".($user['orient']==2?" selected='selected'":null).">Гей/лесби</option>\n";
echo "<option value='3'".($user['orient']==3?" selected='selected'":null).">Би</option>\n";
echo "</select><br />\n";
##################################
echo "Состою в браке:<br />\n<select name='brak'>\n";
echo "<option value='0'".($user['brak']==0?" selected='selected'":null).">Не скажу!</option>\n";
echo "<option value='1'".($user['brak']==1?" selected='selected'":null).">Нет</option>\n";
echo "<option value='2'".($user['brak']==2?" selected='selected'":null).">Да</option>\n";
echo "<option value='3'".($user['brak']==3?" selected='selected'":null).">Уже нет</option>\n";
echo "</select><br />\n";
##################################
echo "О партнёре:<br /><input type='text' name='portner' value='$user[portner]' maxlength='512' /><br />";
##################################
echo "Цель знакомства:<br />\n<select name='celzn'>\n";
echo "<option value='0'".($user['celzn']==0?" selected='selected'":null).">Не указано</option>\n";
echo "<option value='1'".($user['celzn']==1?" selected='selected'":null).">Дружба,общение</option>\n";
echo "<option value='2'".($user['celzn']==2?" selected='selected'":null).">Флирт, СМС-переписка</option>\n";
echo "<option value='3'".($user['celzn']==3?" selected='selected'":null).">Любовь, отношения</option>\n";
echo "<option value='4'".($user['celzn']==4?" selected='selected'":null).">Брак, создание семьи</option>\n";
echo "<option value='5'".($user['celzn']==5?" selected='selected'":null).">Виртуальный секс</option>\n";
echo "<option value='6'".($user['celzn']==6?" selected='selected'":null).">Секс в реале</option>\n";
echo "<option value='7'".($user['celzn']==7?" selected='selected'":null).">Ищу спонсора</option>\n";
echo "<option value='8'".($user['celzn']==8?" selected='selected'":null).">Стану спонсором</option>\n";
echo "</select><br />\n";
##################################
echo "<input type='submit' name='save' value='Сохранить' /></form>";
echo "<div class='foot'>";
echo "&raquo;<a href='/ank.php'>Назад в анкету</a><br />\n";
echo "</div>";

if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";

include_once '../sys/inc/tfoot.php';
?>